01.yaml (3043B)
1 name: Rooms 2 description: '' 3 endpoints: 4 - 5 httpMethods: 6 - GET 7 uri: 'api/rooms/{room_id}' 8 metadata: 9 groupName: Rooms 10 groupDescription: '' 11 subgroup: '' 12 subgroupDescription: '' 13 title: '' 14 description: '' 15 authenticated: true 16 custom: [] 17 headers: 18 Authorization: 'Bearer {YOUR_AUTH_KEY}' 19 Content-Type: application/json 20 Accept: application/json 21 urlParameters: 22 room_id: 23 name: room_id 24 description: 'The UUID of the room.' 25 required: true 26 example: 9a6c8f8c-df24-4958-86e1-2fe4bb3a7f28 27 type: string 28 enumValues: [] 29 custom: [] 30 cleanUrlParameters: 31 room_id: 9a6c8f8c-df24-4958-86e1-2fe4bb3a7f28 32 queryParameters: [] 33 cleanQueryParameters: [] 34 bodyParameters: [] 35 cleanBodyParameters: [] 36 fileParameters: [] 37 responses: 38 - 39 status: 200 40 content: '{"id":"9a6c8f8c-df24-4958-86e1-2fe4bb3a7f28","created_at":"2023-10-21T17:49:15.000000Z","updated_at":"2023-10-21T17:49:15.000000Z","name":"Test","description":"test","cabinet_id":null}' 41 headers: 42 cache-control: 'no-cache, private' 43 content-type: application/json 44 x-ratelimit-limit: '60' 45 x-ratelimit-remaining: '55' 46 access-control-allow-origin: '*' 47 description: null 48 custom: [] 49 responseFields: [] 50 auth: 51 - headers 52 - Authorization 53 - 'Bearer 15|cc3PlQdafhg0xhyGUwPQxyc8SOoOxwIyA1TAushU76aa56bc' 54 controller: null 55 method: null 56 route: null 57 custom: [] 58 - 59 httpMethods: 60 - GET 61 uri: api/rooms 62 metadata: 63 groupName: Rooms 64 groupDescription: '' 65 subgroup: '' 66 subgroupDescription: '' 67 title: '' 68 description: '' 69 authenticated: true 70 custom: [] 71 headers: 72 Authorization: 'Bearer {YOUR_AUTH_KEY}' 73 Content-Type: application/json 74 Accept: application/json 75 urlParameters: [] 76 cleanUrlParameters: [] 77 queryParameters: [] 78 cleanQueryParameters: [] 79 bodyParameters: [] 80 cleanBodyParameters: [] 81 fileParameters: [] 82 responses: 83 - 84 status: 200 85 content: '[{"id":"9a6c8f8c-df24-4958-86e1-2fe4bb3a7f28","created_at":"2023-10-21T17:49:15.000000Z","updated_at":"2023-10-21T17:49:15.000000Z","name":"Test","description":"test","cabinet_id":null},{"id":"9a6c90b0-b901-4b06-bc63-bc6a576eebd3","created_at":"2023-10-21T17:52:26.000000Z","updated_at":"2023-10-21T17:52:26.000000Z","name":"Test2","description":"test","cabinet_id":null}]' 86 headers: 87 cache-control: 'no-cache, private' 88 content-type: application/json 89 x-ratelimit-limit: '60' 90 x-ratelimit-remaining: '54' 91 access-control-allow-origin: '*' 92 description: null 93 custom: [] 94 responseFields: [] 95 auth: 96 - headers 97 - Authorization 98 - 'Bearer 15|cc3PlQdafhg0xhyGUwPQxyc8SOoOxwIyA1TAushU76aa56bc' 99 controller: null 100 method: null 101 route: null 102 custom: []